Subject: Peri Jude on Larry King!
From: [email-masked]
Date: Mon, 07 Mar 94 10:19:40 EST

Peri Jude Radecic, Executive Director of the National Gay and Lesbian Task
Force, is scheduled to appear on CNN's Larry King Live tonight, Monday, March
7.

In addition, the NGLTF anti-violence report for the year 1993 is due to be
released tomorrow. In previous years, the press conference has been carried
by C-Span. The Hensons from Mississippi are expected to be part of the press
conference.

--Linda Yanney for NGLTF